<div class="news-dialog">

  <mat-toolbar>
    <span>{{newsService.newsForm.controls['$key']?.value ? "Edycja wiadomości firmowej" : "Dodawanie wiadomości firmowej"}}</span>
    <span class="fill-remaining-space"></span>
    <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabIndex="-1">
      <mat-icon matTooltip="Zamknij">clear</mat-icon>
    </button>
  </mat-toolbar>

  <form [formGroup]="newsService.newsForm" (submit)="onSubmit()">

    <div fxLayout="column">
      <mat-form-field>
        <input matInput formControlName="title" placeholder="Tytuł wniosku" required>
        <mat-error>Tytuł wiadomości jest wymagany.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <textarea matInput formControlName="text" placeholder="Treść wiadomości" required></textarea>
        <mat-error>Treść wiadomości jest wymagana.</mat-error>
      </mat-form-field>

      <mat-form-field>
        <mat-select formControlName="type" placeholder="Typ wiadomości" required>
          <mat-option value="information"> Informacja</mat-option>
          <mat-option value="important"> Pilne</mat-option>
          <mat-option value="advertisement"> Ogłoszenie</mat-option>
        </mat-select>
        <mat-hint>W zależności od wybranego typu wiadomośc, zostanie inaczej wyświetlona użytkownikom na dashboardzia.
        </mat-hint>
        <mat-error>Typ wiadomości jest wymagany.</mat-error>
      </mat-form-field>

    </div>

    <div class="button-row mt-1">
      <button mat-raised-button color="primary" type="submit" [disabled]="newsService.newsForm.invalid">
        Zapisz
      </button>
      <button mat-raised-button color="warn" (click)="onClear()">Wyczyść</button>
    </div>
  </form>
</div>
